Package net.md_5.bungee.api.dialog.input

# Class SingleOptionInput

java.lang.Object
net.md_5.bungee.api.dialog.input.DialogInput
net.md_5.bungee.api.dialog.input.SingleOptionInput

public class SingleOptionInput extends DialogInput
Represents a single option (dropdown) input.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleOptionInput(@NonNull String key, @NonNull BaseComponent label, @NonNull InputOption... options)`
  `SingleOptionInput(@NonNull String key, Integer width, @NonNull BaseComponent label, Boolean labelVisible, @NonNull List<InputOption> options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `@NonNull BaseComponent`
  `label()`
  The input label.
  `SingleOptionInput`
  `label(@NonNull BaseComponent label)`
  The input label.
  `Boolean`
  `labelVisible()`
  Whether the label is visible (default: true).
  `SingleOptionInput`
  `labelVisible(Boolean labelVisible)`
  Whether the label is visible (default: true).
  `@NonNull List<InputOption>`
  `options()`
  The non-empty list of options to be selected from.
  `SingleOptionInput`
  `options(@NonNull List<InputOption> options)`
  The non-empty list of options to be selected from.
  `String`
  `toString()`
  `Integer`
  `width()`
  The width of the input (default: 200, minimum: 1, maximum: 1024).
  `SingleOptionInput`
  `width(Integer width)`

  ### Methods inherited from class net.md_5.bungee.api.dialog.input.DialogInput

  `key, type`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SingleOptionInput

    public SingleOptionInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label, @NonNull @NonNull InputOption... options)

  - ### SingleOptionInput

    public SingleOptionInput(@NonNull @NonNull String key, Integer width, @NonNull @NonNull BaseComponent label, Boolean labelVisible, @NonNull @NonNull List<InputOption> options)

- ## Method Details

  - ### width

    public SingleOptionInput width(Integer width)

  - ### width

    public Integer width()
    The width of the input (default: 200, minimum: 1, maximum: 1024).

  - ### label

    @NonNull public @NonNull BaseComponent label()
    The input label.

  - ### labelVisible

    public Boolean labelVisible()
    Whether the label is visible (default: true).

  - ### options

    @NonNull public @NonNull List<InputOption> options()
    The non-empty list of options to be selected from.

  - ### label

    public SingleOptionInput label(@NonNull @NonNull BaseComponent label)
    The input label.
    Returns:
      `this`.

  - ### labelVisible

    public SingleOptionInput labelVisible(Boolean labelVisible)
    Whether the label is visible (default: true).
    Returns:
      `this`.

  - ### options

    public SingleOptionInput options(@NonNull @NonNull List<InputOption> options)
    The non-empty list of options to be selected from.
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DialogInput`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `DialogInput`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `DialogInput`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `DialogInput`